Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.instance.impl
Class ExtendedNodeInstanceImpl

    java.lang.Object
      org.jbpm.workflow.instance.impl.NodeInstanceImpl
          org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl

All Implemented Interfaces:
  Serializable, NodeInstance

Direct Known Subclasses:
  EndNodeInstance, EventNodeInstance, StateBasedNodeInstance

    public abstract class ExtendedNodeInstanceImpl

extends NodeInstanceImpl

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl
`NodeInstanceImpl.NodeInstanceTrigger`

Constructor Summary
`ExtendedNodeInstanceImpl()`

Method Summary
`ExtendedNodeImpl` | `getExtendedNode()`
`void` | `internalTrigger(NodeInstance from, String type)`
`void` | `triggerCompleted(boolean remove)`
`protected void` | `triggerCompleted(String type, boolean remove)`
`protected void` | `triggerEvent(String type)`

Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl
`cancel, executeAction, followConnection, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getUniqueId, getVariable, isInversionOfControl, resolveContext, resolveContextInstance, retrigger, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setProcessInstance, setVariable, trigger, triggerConnection, triggerNode, triggerNodeInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedNodeInstanceImpl

    public ExtendedNodeInstanceImpl()

Method Detail

### getExtendedNode

    public ExtendedNodeImpl getExtendedNode()

### internalTrigger

    public void internalTrigger(NodeInstance from,
                                String type)

  Specified by:
    `internalTrigger` in class `NodeInstanceImpl`

### triggerCompleted

    public void triggerCompleted(boolean remove)

### triggerCompleted

    protected void triggerCompleted(String type,
                                    boolean remove)

  Overrides:
    `triggerCompleted` in class `NodeInstanceImpl`

### triggerEvent

    protected void triggerEvent(String type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.